TORRUS_DEVDISCOVER(8)

NAME
devdiscover - Performs SNMP discovery and generates Torrus XML configuration file.

SYNOPSIS
torrus devdiscover [--in=XMLFILE] [options...] [XMLFILES]

DESCRIPTION
devdiscover performs SNMP discovery using the XMLFILE for the discovery instructions. It generates a corresponding Torrus XML configuration file. See Torrus SNMP Discovery User Guide for details.

The generic input file, or device discovery XML (DDX), may be generated by the genddx utility, and then edited and maintained manually. Multiple input files may be specified by several instances of --in option, or simply as arguments.

Input file name is searched in the current directory, and then in /etc/torrus/discovery/.

OPTIONS

--mkdir
    Creates "data-dir" directories.

--limit=REGEXP
    Limits the discovery to the output files matching the regular expression REGEXP. If multiple --limit options are given, the output file must match at least one of them to be processed. Bundle files will be written if all their member XML files are available.

--forcebundle
    With this option enabled, "devdiscover" will write the bundle file even if some of the bundle members were not created because of errors.

--fallback=INTEGER
    Requires --forcebundle. In case if an SNMP device is not available, the bundle file will include an older version of the XML output file, provided that it exists and it is not older than the specified number of days.

--threads=INTEGER
    If the threads are enabled in the local Perl, this option determines how many parallel discovery threads are to be executed. The discovery jobs are distributed per output files, thus it makes sense to use threads only when there are many output files defined in a single DDX file.

--verbose
    Prints extra information.

--debug
    Prints debugging information.

--snmpdebug
    Prints SNMP protocol details

FILES

/etc/torrus/conf/devdiscover-siteconfig.pl
    devdiscover site configuration file.

SEE ALSO
torrus(8), torrus_genddx(8)

NOTES
See Torrus SNMP Discovery User Guide for more details at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>